import { a as Metric } from './types-BtMyV38I.cjs';
export { E as EvaluationResult, M as MetricResult, T as TestInfo } from './types-BtMyV38I.cjs';
import { B as ToolAction, D as Agent$1, F as AgentConfig, e as MastraStorage$1, G as MastraMemory$1, H as ToolExecutionContext, I as Tool$1, J as Step, K as Workflow$1, L as WorkflowOptions } from './base-8VkAcJIR.cjs';
export { aA as ActionContext, az as BaseCondition, a3 as BaseStructuredOutputType, aj as Config, _ as CoreAssistantMessage, X as CoreMessage, Y as CoreSystemMessage, ar as CoreTool, a0 as CoreToolMessage, $ as CoreUserMessage, ad as DefaultLLMStreamObjectOptions, ac as DefaultLLMStreamOptions, ab as DefaultLLMTextObjectOptions, aa as DefaultLLMTextOptions, aO as DependencyCheckOutput, a2 as EmbedManyResult, a1 as EmbedResult, E as EvalRow, aV as ExtractSchemaFromStep, aY as ExtractSchemaType, aW as ExtractStepResult, a7 as GenerateReturn, ah as LLMInnerStreamOptions, ai as LLMStreamObjectOptions, ag as LLMStreamOptions, af as LLMTextObjectOptions, ae as LLMTextOptions, U as LanguageModel, a as Mastra, al as MemoryConfig, ao as MemoryProcessor, an as MemoryProcessorOpts, ak as MessageResponse, g as MessageType, a9 as OutputType, aZ as PathsToStringProps, aL as ResolverFunctionInput, aM as ResolverFunctionOutput, ax as RetryConfig, am as SharedMemoryConfig, at as StepAction, aD as StepCondition, aE as StepConfig, aC as StepDef, as as StepExecutionContext, aw as StepGraph, aU as StepId, aX as StepInputType, av as StepNode, aP as StepResolverOutput, aF as StepResult, au as StepVariableType, aG as StepsRecord, S as StorageColumn, h as StorageGetMessagesArg, f as StorageThreadType, a8 as StreamReturn, a6 as StructuredOutput, a5 as StructuredOutputArrayItem, a4 as StructuredOutputType, aN as SubscriberFunctionOutput, ay as VariableReference, aq as VercelTool, aB as WhenConditionReturnValue, aR as WorkflowActionParams, aS as WorkflowActions, aQ as WorkflowActors, aI as WorkflowContext, aK as WorkflowEvent, aJ as WorkflowLogMessage, a_ as WorkflowResumeResult, O as WorkflowRow, aH as WorkflowRunResult, W as WorkflowRunState, Q as WorkflowRuns, aT as WorkflowState, ap as createTool } from './base-8VkAcJIR.cjs';
import { M as MastraBase$1 } from './base-BihKcqDY.cjs';
export { O as OtelConfig, S as SamplingStrategy, T as Telemetry } from './base-BihKcqDY.cjs';
import { R as RegisteredLogger, a as LogLevel, T as TransportMap, L as Logger } from './index-CquI0inB.cjs';
export { B as BaseLogMessage, b as LoggerTransport, M as MultiLogger, c as combineLoggers, n as noopLogger } from './index-CquI0inB.cjs';
import { MastraDeployer as MastraDeployer$1 } from './deployer/index.cjs';
export { evaluate } from './eval/index.cjs';
import { Integration as Integration$1, OpenAPIToolset as OpenAPIToolset$1 } from './integration/index.cjs';
export { CohereRelevanceScorer, MastraAgentRelevanceScorer, RelevanceScoreProvider, createSimilarityPrompt } from './relevance/index.cjs';
export { InstrumentClass, OTLPStorageExporter, hasActiveTelemetry, withSpan } from './telemetry/index.cjs';
import { z } from 'zod';
import { MastraTTS as MastraTTS$1, TTSConfig } from './tts/index.cjs';
export { TagMaskOptions, checkEvalStorageFields, createMastraProxy, deepMerge, delay, ensureAllMessagesAreCoreMessages, ensureToolProperties, isVercelTool, jsonSchemaPropertiesToTSTypes, jsonSchemaToModel, makeCoreTool, maskStreamTags, resolveSerializedZodOutput } from './utils.cjs';
import { MastraVector as MastraVector$1 } from './vector/index.cjs';
export { CreateIndexArgs, CreateIndexParams, IndexStats, ParamsToArgs, QueryResult, QueryVectorArgs, QueryVectorParams, UpsertVectorArgs, UpsertVectorParams } from './vector/index.cjs';
export { agentToStep, getActivePathsAndStatus, getResultActivePaths, getStepResult, getSuspendedPaths, isAgent, isConditionalKey, isErrorEvent, isFinalState, isLimboState, isTransitionEvent, isVariableReference, isWorkflow, mergeChildValue, recursivelyCheckForFinalState, resolveVariables, updateStepInHierarchy, workflowToStep } from './workflows/index.cjs';
export { AvailableHooks, executeHook, registerHook } from './hooks/index.cjs';
export { Message as AiMessageType } from 'ai';
import 'sift';
import 'json-schema';
import './di/index.cjs';
import '@opentelemetry/api';
import 'xstate';
import 'node:events';
import 'events';
import 'hono';
import 'hono/cors';
import 'hono-openapi';
import '@opentelemetry/sdk-trace-base';
import 'stream';
import 'pino';
import './bundler/index.cjs';
import '@opentelemetry/core';
import './vector/filter/index.cjs';

declare class Agent<TAgentId extends string = string, TTools extends Record<string, ToolAction<any, any, any>> = Record<string, ToolAction<any, any, any>>, TMetrics extends Record<string, Metric> = Record<string, Metric>> extends Agent$1<TAgentId, TTools, TMetrics> {
    constructor(config: AgentConfig<TAgentId, TTools, TMetrics>);
}

declare class MastraBase extends MastraBase$1 {
    constructor(args: {
        component?: RegisteredLogger;
        name?: string;
    });
}

declare abstract class MastraDeployer extends MastraDeployer$1 {
    constructor(args: {
        name: string;
        mastraDir: string;
        outputDirectory: string;
    });
}

declare abstract class MastraStorage extends MastraStorage$1 {
    constructor({ name }: {
        name: string;
    });
}

declare class Integration<ToolsParams = void, ApiClient = void> extends Integration$1<ToolsParams, ApiClient> {
    constructor();
}

declare abstract class OpenAPIToolset extends OpenAPIToolset$1 {
    constructor();
}

declare function createLogger(options: {
    name?: string;
    level?: LogLevel;
    transports?: TransportMap;
}): Logger;

declare abstract class MastraMemory extends MastraMemory$1 {
    constructor(_arg?: any);
}

declare class Tool<TSchemaIn extends z.ZodSchema | undefined = undefined, TSchemaOut extends z.ZodSchema | undefined = undefined, TContext extends ToolExecutionContext<TSchemaIn> = ToolExecutionContext<TSchemaIn>> extends Tool$1<TSchemaIn, TSchemaOut, TContext> {
    constructor(opts: ToolAction<TSchemaIn, TSchemaOut, TContext>);
}

declare abstract class MastraTTS extends MastraTTS$1 {
    constructor(args: TTSConfig);
}

declare abstract class MastraVector extends MastraVector$1 {
    constructor();
}

declare class Workflow<TSteps extends Step<any, any, any>[] = any, TTriggerSchema extends z.ZodObject<any> = any> extends Workflow$1<TSteps, string, TTriggerSchema> {
    constructor(args: WorkflowOptions<string, TSteps, TTriggerSchema>);
}

export { Agent, Integration, LogLevel, Logger, MastraBase, MastraDeployer, MastraMemory, MastraStorage, MastraTTS, MastraVector, Metric, OpenAPIToolset, RegisteredLogger, Step, TTSConfig, Tool, ToolAction, ToolExecutionContext, TransportMap, Workflow, WorkflowOptions, createLogger };
